# pht\Queue::front

(PECL pht >= 0.0.1)

pht\Queue::front — Returns the first value from a queue

### Description

public pht\Queue::front ( void ) : mixed

This method will remove a value from the front of the queue (in constant time). Attempting to return the front value from an empty queue will result in an Error exception.

Caution

Due to the fact that all values in a pht\Queue are serialised, extracting a value from the queue will require it to be deserialised. This can incur a noticeable performance hit if the inspection of the queue's front value is performed within a loop.

### Parameters

This function has no parameters.

### Return Values

The value on the front of the queue.

### Examples

Example #1 Retrieving the front value of a queue

`<?php
use pht\Queue;
$queue = new Queue();
$queue->push(1);
var_dump($queue->front());`

The above example will output:

    int(1)

Example #2 Retrieving the front value in a loop (bad example - don't do this)

`<?php
use pht\Queue;
$queue = new Queue();
$queue->push(array_fill(0, 2000, 0));
for ($i = 0; $i < count($queue->front()); ++$i); // quadratic runtime`

Example #3 Retrieving the front value in a loop (good example)

`<?php
use pht\Queue;
$queue = new Queue();
$queue->push(array_fill(0, 2000, 0));
$front = $queue->front(); // create a separate variable
for ($i = 0; $i < count($front); ++$i); // linear runtime`